import { getAllRoleList } from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import { h } from 'vue';
import { Tag, Switch } from 'ant-design-vue';
import { useMessage } from '@/hooks/web/useMessage';
import { changeFlagApi } from '@/api/system/user/user';
// 引入开关组件
type CheckedType = boolean | string | number;

export const columns1: BasicColumn[] = [
  {
    title: 'gateway',
    dataIndex: 'gateway',
    width: 100,
  },
  {
    title: 'executor',
    dataIndex: 'executor',
    width: 100,
  },
  {
    title: '调用者',
    dataIndex: 'caller',
    width: 100,
  },
  {
    title: '开始时间',
    dataIndex: 'startTime',
    width: 100,
  },
  {
    title: '已耗时',
    dataIndex: 'consume',
    width: 100,
  },
];
export const searchFormSchema: FormSchema[] = [
  {
    field: 'callBy',
    label: '调用者',
    component: 'Select',
    labelWidth: 50,
    componentProps: {
      options: [
        {
          label: 'admin',
          value: 'admin',
        },
      ],
      placeholder: '请选择调用者',
    },
    colProps: { lg: 5, md: 24 },
  },
  {
    field: 'callTime',
    label: '  调用时间',
    labelWidth: 100,
    component: 'DatePicker',
    colProps: { lg: 7, md: 24 },
  },
];
export const partitionColumns: BasicColumn[] = [
  {
    title: '调用时间',
    dataIndex: 'date',
    width: 120,
  },
  {
    title: '调用时长',
    dataIndex: 'time',
    width: 120,
  },
  {
    title: 'Http错误码',
    dataIndex: 'code',
    width: 120,
  },
  {
    title: '业务错误码',
    dataIndex: 'bizCode',
    width: 120,
  },
  {
    title: '调用者',
    dataIndex: 'user',
    width: 120,
  },
];
