import { getAllRoleList } from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import { h } from 'vue';
import { Tag, Switch } from 'ant-design-vue';
import { useMessage } from '@/hooks/web/useMessage';
import { changeFlagApi } from '@/api/system/user/user';
// 引入开关组件
type CheckedType = boolean | string | number;

export const TreeData: any[] = [
  {
    delFlag: '0',
    flag: '1',
    businessId: 100,
    institutionName: '机构管理',
    anotherName: '机构管理',
    parentId: 0,
    code: 'DataGovernanceDep_product1',
    ancestors: '0',
    orderNum: 0,
    children: [],
    selectType: null,
    icon: 'ion:settings-outline',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 101,
    institutionName: '数据平台治理部',
    anotherName: '数据平台治理部',
    parentId: 100,
    code: 'DataGovernanceDep_product2',
    ancestors: '0,100',
    orderNum: 1,
    children: [],
    selectType: null,
    icon: 'ion:settings-outline',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 107,
    institutionName: '数据资源管理部',
    anotherName: '数据资源管理部',
    parentId: 100,
    code: 'DataGovernanceDep_product3',
    ancestors: '0,100',
    orderNum: 2,
    children: [],
    selectType: null,
    icon: 'ion:settings-outline',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 102,
    institutionName: '研发部门',
    anotherName: '研发部门',
    parentId: 101,
    code: 'DataGovernanceDep_product4',
    ancestors: '0,100,101',
    orderNum: 1,
    children: [],
    selectType: null,
    icon: 'ion:settings-outline',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 103,
    institutionName: '市场部门',
    anotherName: '市场部门',
    parentId: 101,
    code: 'DataGovernanceDep_product5',
    ancestors: '0,100,101',
    orderNum: 2,
    children: [],
    selectType: null,
    icon: 'ion:settings-outline',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 104,
    institutionName: '测试部门',
    anotherName: '测试部门',
    parentId: 101,
    code: 'DataGovernanceDep_product6',
    ancestors: '0,100,101',
    orderNum: 3,
    children: [],
    selectType: null,
    icon: 'ion:settings-outline',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 105,
    institutionName: '财务部门',
    anotherName: '财务部门',
    parentId: 101,
    code: 'DataGovernanceDep_product7',
    ancestors: '0,100,101',
    orderNum: 4,
    children: [],
    selectType: null,
    icon: 'ion:settings-outline',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 106,
    institutionName: '运维部门',
    anotherName: '运维部门',
    parentId: 101,
    code: 'DataGovernanceDep_product8',
    ancestors: '0,100,101',
    orderNum: 5,
    children: [],
    selectType: null,
    icon: 'ion:settings-outline',
  },
  {
    delFlag: '0',
    flag: '1',
    businessId: 202,
    institutionName: '数据部门',
    anotherName: '数据部门',
    parentId: 107,
    code: 'DataGovernanceDep_product9',
    ancestors: '0,100,107',
    orderNum: 1,
    children: [],
    selectType: null,
    icon: 'ion:settings-outline',
  },
  {
    delFlag: '0',
    flag: '0',
    businessId: 203,
    institutionName: '检查部门',
    anotherName: '检查部门',
    parentId: 107,
    code: 'DataGovernanceDep_product10',
    ancestors: '0,100,107',
    orderNum: 2,
    children: [],
    selectType: null,
    icon: 'ion:settings-outline',
  },
];
export const TableData: any[] = [
  {
    gateway: 'gw-001',
    executor: 'exec-001',
    caller: 'user-001',
    startTime: '2024-11-30 13:05:05',
    consume: '1s',
  },
  {
    gateway: 'gw-002',
    executor: 'exec-002',
    caller: 'user-002',
    startTime: '2024-11-30 13:10:08',
    consume: '2s',
  },
  {
    gateway: 'gw-003',
    executor: 'exec-003',
    caller: 'user-003',
    startTime: '2024-11-30 13:20:09',
    consume: '3s',
  },
  {
    gateway: 'gw-004',
    executor: 'exec-004',
    caller: 'user-004',
    startTime: '2024-11-30 13:25:10',
    consume: '4s',
  },
  {
    gateway: 'gw-005',
    executor: 'exec-005',
    caller: 'user-005',
    startTime: '2024-11-30 13:30:11',
    consume: '5s',
  },
  {
    gateway: 'gw-006',
    executor: 'exec-006',
    caller: 'user-006',
    startTime: '2024-11-30 13:35:12',
    consume: '6s',
  },
  {
    gateway: 'gw-007',
    executor: 'exec-007',
    caller: 'user-007',
    startTime: '2024-11-30 13:40:13',
    consume: '7s',
  },
  {
    gateway: 'gw-008',
    executor: 'exec-008',
    caller: 'user-008',
    startTime: '2024-11-30 13:45:14',
    consume: '8s',
  },
  {
    gateway: 'gw-009',
    executor: 'exec-009',
    caller: 'user-009',
    startTime: '2024-11-30 13:50:15',
    consume: '9s',
  },
  {
    gateway: 'gw-010',
    executor: 'exec-010',
    caller: 'user-010',
    startTime: '2024-11-30 13:55:16',
    consume: '10s',
  },
];
export const totalApiData = [
  { date: '10/01', value: 3000 },
  { date: '10/02', value: 4000 },
  { date: '10/03', value: 3222 },
  { date: '10/04', value: 4521 },
  { date: '10/05', value: 3552 },
  { date: '10/06', value: 4899 },
  { date: '10/07', value: 4788 },
];
export const totalApiSucessData = [
  { date: '10/01', value: 2212 },
  { date: '10/02', value: 2122 },
  { date: '10/03', value: 2402 },
  { date: '10/04', value: 2468 },
  { date: '10/05', value: 2487 },
  { date: '10/06', value: 2888 },
  { date: '10/07', value: 2322 },
];
export const totalApiFailedData = [
  { date: '10/01', value: 988 },
  { date: '10/02', value: 888 },
  { date: '10/03', value: 788 },
  { date: '10/04', value: 988 },
  { date: '10/05', value: 688 },
  { date: '10/06', value: 788 },
  { date: '10/07', value: 888 },
];
export const totalGetApiData = [
  { date: '10/01', value: 310 },
  { date: '10/02', value: 322 },
  { date: '10/03', value: 420 },
  { date: '10/04', value: 379 },
  { date: '10/05', value: 489 },
  { date: '10/06', value: 499 },
  { date: '10/07', value: 400 },
];
export const totalPostApiData = [
  { date: '10/01', value: 50 },
  { date: '10/02', value: 89 },
  { date: '10/03', value: 78 },
  { date: '10/04', value: 66 },
  { date: '10/05', value: 180 },
  { date: '10/06', value: 99 },
  { date: '10/07', value: 140 },
];
export const responseData = [
  { date: '10/01', value: '3.5ms' },
  { date: '10/02', value: '4.7ms' },
  { date: '10/03', value: '4.9ms' },
  { date: '10/04', value: '3.6ms' },
  { date: '10/05', value: '4.8ms' },
  { date: '10/06', value: '5.2ms' },
  { date: '10/07', value: '4.3ms' },
];
export const second1Data = [
  { date: '10/01', value: 120 },
  { date: '10/02', value: 100 },
  { date: '10/03', value: 110 },
  { date: '10/04', value: 130 },
  { date: '10/05', value: 70 },
  { date: '10/06', value: 115 },
  { date: '10/07', value: 140 },
];
export const second2Data = [
  { date: '10/01', value: 122 },
  { date: '10/02', value: 123 },
  { date: '10/03', value: 123 },
  { date: '10/04', value: 132 },
  { date: '10/05', value: 50 },
  { date: '10/06', value: 123 },
  { date: '10/07', value: 210 },
];
export const second3Data = [
  { date: '10/01', value: 123 },
  { date: '10/02', value: 123 },
  { date: '10/03', value: 132 },
  { date: '10/04', value: 132 },
  { date: '10/05', value: 123 },
  { date: '10/06', value: 123 },
  { date: '10/07', value: 123 },
];
export const second4Data = [
  { date: '10/01', value: 231 },
  { date: '10/02', value: 222 },
  { date: '10/03', value: 223 },
  { date: '10/04', value: 222 },
  { date: '10/05', value: 222 },
  { date: '10/06', value: 333 },
  { date: '10/07', value: 223 },
];
export const partitionData: any[] = [
  {
    date: '2024-11-30 08:00',
    time: '0.25s',
    code: 200,
    bizCode: 0,
    user: 'user1',
  },
  {
    date: '2024-11-30 09:15',
    time: '1.50s',
    code: 404,
    bizCode: 1001,
    user: 'user2',
  },
  {
    date: '2024-11-30 10:30',
    time: '0.75s',
    code: 500,
    bizCode: 1002,
    user: 'user3',
  },
  {
    date: '2024-11-30 11:45',
    time: '0.10s',
    code: 200,
    bizCode: 0,
    user: 'user4',
  },
  {
    date: '2024-11-30 13:00',
    time: '2.00s',
    code: 400,
    bizCode: 1003,
    user: 'user5',
  },
];
