import {BasicColumn, FormSchema} from "@/components/Table";

// 搜索栏参数
export const searchFormSchema: FormSchema[] = [
  {
    field: 'applicationType',
    label: ' ',
    component: 'Select',
    componentProps: {
      placeholder: '申请类型',
      options: [
        {label: '上架', value: '1'},
        {label: '下架', value: '2'},
        {label: '下载', value: '3'},
        {label: '推送', value: '4'},
        {label: 'API调用-拉取', value: '5'},
        {label: 'API调用-推送', value: '6'},
      ],
    },
    colProps: {span: 2},
  },
];

// 表头列表头
export const columns: BasicColumn[any] = [
  {
    title: '申请类型',
    dataIndex: 'applicationType',
    width: 150,
  },
  {
    title: '需要审批的资产类型',
    dataIndex: 'assetType',
    width: 150,
  },
  {
    title: '流程发布状态',
    dataIndex: 'processReleaseStatus',
    width: 150,
  },
];

// 审核配置 - 流程编辑 弹窗”最新版本“表单数据
export const processVersionColumns: BasicColumn[any] = [
  {
    title: '节点级数',
    dataIndex: 'nodeIndex',
    editable: true,
    edit: true,
    width: 60,
  },
  {
    title: '审批人',
    dataIndex: 'approver',
    editable: true,
    edit: true,
    editComponent: 'Select',
    editComponentProps: {
      mode: 'multiple',
      options: [
        {label: '商城审批员', value: '商城审批员'},
        {label: '需求管理员', value: '需求管理员'},
        {label: '日志管理员', value: '日志管理员'},
        {label: '安全管理员', value: '安全管理员'},
      ],
    },
    width: 120,
  },
  {
    title: '审批方式',
    dataIndex: 'approveType',
    editable: true,
    edit: true,
    editComponent: 'Select',
    editComponentProps: {
      options: [
        {label: '或签', value: '1'},
        {label: '会签', value: '2'},
      ],
    },
    width: 120,
  },
];

// 审核配置 - 流程编辑 弹窗”最新版本“列表数据
export const processEditListData: any[] = [
  {
    "nodeIndex": 1,
    "approver": ['商城审批员', '需求管理员'],
    "approveType": "1",
  },
  {
    "nodeIndex": 2,
    "approver": ['日志管理员'],
    "approveType": "1",
  }
];

// 审核配置 - 流程编辑 弹窗”生效版本“表单数据
export const versionHistoryColumns: BasicColumn[any] = [
  {
    title: '版本名称',
    dataIndex: 'versionName',
    width: 150,
  },
  {
    title: '提交人',
    dataIndex: 'createBy',
    width: 150,
  },
  {
    title: '提交时间',
    dataIndex: 'createDate',
    width: 150,
  },
  {
    title: '生效状态',
    dataIndex: 'workStatus',
    width: 150,
  },
]
// 审核配置 - 流程编辑 弹窗”生效版本“列表数据
export const versionHistoryListData: any[] = [
  {
    "id": 3,
    "versionName": "v1.2",
    "workStatus": "生效中",
    "createBy": "admin",
    "createDate": "2024-11-04 23:09:27",
  },
  {
    "id": 2,
    "versionName": "v1.1",
    "workStatus": "已失效",
    "createBy": "admin",
    "createDate": "2024-11-02 18:44:16",
  },
  {
    "id": 1,
    "versionName": "v1.0",
    "workStatus": "已失效",
    "createBy": "admin",
    "createDate": "2024-10-24 10:04:04",
  },
];

// 审核配置 - 流程编辑 - 需要审批的资产类型 弹窗表头数据
export const assetTypeColumns: BasicColumn[any] = [
  {
    title: '资源名称',
    dataIndex: 'resourceName',
    width: 150,
  },
  {
    title: '是否审核',
    dataIndex: 'openStatus',
    editable: true,
    edit: true,
    editComponent: 'RadioGroup',
    editComponentProps: {
      options: [
        {
          label: '开启',
          value: '开启',
        },
        {
          label: '关闭',
          value: '关闭',
        },
      ],
    },
    width: 150,
  },
]
// 审核配置 - 流程编辑 - 需要审批的资产类型 弹窗列表数据
export const assetTypeListData: any[] = [
  {
    "id": 1,
    "resourceName": "数据集",
    "openStatus": "开启",
  },
  {
    "id": 2,
    "resourceName": "标签",
    "openStatus": "开启",
  },
  {
    "id": 3,
    "resourceName": "文件",
    "openStatus": "开启",
  },
];
