import {BasicColumn, FormSchema} from "@/components/Table";

// 搜索栏参数
export const searchFormSchema: FormSchema[] = [
  {
    field: 'keyWord',
    component: 'Input',
    componentProps: {
      placeholder: '搜索资源名称或申请标题',
    },
    colProps: {span: 4},
  },
  {
    field: 'resourceCataloging',
    label: ' ',
    component: 'Select',
    componentProps: {
      placeholder: '资源编目',
      options: [
        { label: '医疗数据', value: '1' },
        { label: '财务数据', value: '2' },
      ],
    },
    colProps: { span: 2 },
  },
  {
    field: 'permissionType',
    label: ' ',
    component: 'Select',
    componentProps: {
      placeholder: '权限类型',
      options: [
        { label: '上传', value: '1' },
        { label: '下载', value: '2' },
        { label: '数据集采集', value: '3' },
        { label: '数据集推送', value: '4' },
        { label: 'API调用-拉取数据', value: '5' },
        { label: 'API调用-推送数据', value: '6' },
      ],
    },
    colProps: { span: 2 },
  },
  {
    field: 'permissionState',
    label: ' ',
    component: 'Select',
    componentProps: {
      placeholder: '权限状态',
      options: [
        { label: '有效', value: '1' },
        { label: '无效', value: '2' },
      ],
    },
    colProps: { span: 3 },
  },
];

// 表头列表头
export const columns: BasicColumn[any] = [
  {
    title: '资源名称',
    dataIndex: 'resourceName',
    width: 150,
  },
  {
    title: '用户名',
    dataIndex: 'createBy',
    width: 150,
  },
  {
    title: '权属机构',
    dataIndex: 'affiliatedOrganization',
    width: 150,
  },
  {
    title: '权限类型',
    dataIndex: 'permissionType',
    width: 150,
  },
  {
    title: '目标端',
    dataIndex: 'destinationTerminal',
    width: 150,
  },
  {
    title: '对应申请',
    dataIndex: 'correspondingApplication',
    width: 150,
  },
  {
    title: '权限状态',
    dataIndex: 'permissionState',
    width: 150,
  },
  {
    title: '无效原因',
    dataIndex: 'invalidReason',
    width: 150,
  },
];
