import {getAllRoleList} from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import {h} from "vue";
import {Tag} from "ant-design-vue";
import { Switch } from 'ant-design-vue';
import {useMessage} from "@/hooks/web/useMessage";
import {changeFlagApi} from "@/api/system/user/user"; // 引入开关组件
type CheckedType = boolean | string | number;


export const columns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 150,
  },
  {
    title: '描述',
    dataIndex: 'describe',
    width: 150,
  },
  {
    title: '可见范围',
    dataIndex: 'visibleRange',
    width: 150,
  },
  {
    title: '资源数',
    dataIndex: 'resourceNum',
    width: 150,
  },
  {
    title: '创建时间',
    dataIndex: 'createDate',
    width: 150,
  },
  {
    title: '更新时间',
    dataIndex: 'updateDate',
    width: 150,
  },
];
export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    // label: '姓名',
    component: 'Input',
    componentProps: {
      placeholder: '输入关键字搜索',
    },
    colProps: { span: 7 },
  },
  // {
  //   field: 'username',
  //   label: '登录名',
  //   component: 'Input',
  //   componentProps: {
  //     placeholder: '请输入登录名',
  //   },
  //   colProps: { span: 7 },
  // },
];
export const accountFormSchema: any[] = [
  {
    field: 'name',
    label: '名称',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
    rules: [
      {
        required: true,
        message: '请输入姓名',
      },
    ],
  },
  {
    field: 'describe',
    label: '描述',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
    rules: [
      {
        required: true,
        message: '请输入描述',
      },
    ],
  },
  {
    field: 'visibleRange',
    label: '可见范围',
    component: 'Select',
    componentProps: {
      options: [
        { label: '所有人', value: '所有人' },
        { label: '用户1', value: '用户1' },
        { label: '用户2', value: '用户2' },
      ],
    },
    colProps: { lg: 24, md: 24 },
    rules: [
      {
        required: true,
        message: '请输入登录名',
      },
    ],
  },
  {
    field: 'resourceNum',
    label: '可见资源数',
    component: 'InputNumber',
    colProps: { lg: 24, md: 24 },
    rules: [
      {
        required: true,
        message: '请输入',
      },
    ],
  },
  {
    field: 'institutionId',
    label: '所属编目',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'institutionName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
    required: true,
  },
];

/**移动*/
export const MoveFormSchema: any[] = [
  {
    field: 'institutionId',
    label: '目标编目',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'institutionName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
    required: true,
  },
]

/**新增*/
export const AddTreeSchema: any[] = [
  {
    field: 'institutionName',
    label: '编目名称',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
    rules: [
      {
        required: true,
        message: '请输入编目名称',
      },
    ],
  },
  {
    field: 'institutionId',
    label: '上级编目',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'institutionName',
        value: 'businessId',
      },
      getPopupContainer: () => document.body,
    },
    required: true,
  },
  // {
  //   field: 'code',
  //   label: '机构编码',
  //   component: 'Input',
  //   colProps: { lg: 24, md: 24 },
  //   rules: [
  //     {
  //       required: true,
  //       message: '请输入机构编码',
  //     },
  //   ],
  // },
]

