import { BasicColumn, FormSchema } from '@/components/Table';

export const Columns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'title',
  },
  {
    title: '部门',
    dataIndex: 'dept',
  },
  {
    title: '标签',
    dataIndex: 'label',
  },
  {
    title: '描述',
    dataIndex: 'description',
  },
  {
    title: '创建人',
    dataIndex: 'createdBy',
  },
  {
    title: '创建时间',
    dataIndex: 'createdTime',
  },
  {
    title: '浏览次数',
    dataIndex: 'view',
  },
  {
    title: '推送次数',
    dataIndex: 'edit',
  },
  {
    title: '共享类型',
    dataIndex: 'isShare',
    slots: { customRender: 'isShare' },
  },
];
export const downLoadSchema: FormSchema[] = [
  {
    field: 'num',
    label: '最大下载行数',
    component: 'Input',
    defaultValue: 1000,
    required: true,
  },
];
export const waterMarkSchema: FormSchema[] = [
  {
    field: 'waterMark',
    label: '水印',
    component: 'Switch',
    defaultValue: true,
    required: true,
  },
  {
    field: 'type',
    label: '水印类型',
    component: 'RadioGroup',
    componentProps: {
      options: [
        {
          label: '固定水印',
          value: '1',
        },
        {
          label: '动态水印',
          value: '2',
        },
      ],
    },
    defaultValue: '1',
    required: true,
  },
  {
    field: 'strategy',
    label: '水印生成策略',
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '每行一个',
          value: '1',
        },
        {
          label: '每行多个',
          value: '2',
        },
      ],
    },
    required: true,
  },
];
export const previewSchema: FormSchema[] = [
  {
    field: 'preview',
    label: '文件预览',
    component: 'Switch',
    defaultValue: true,
    required: true,
  },
  {
    field: 'type',
    label: '预览生成方式',
    component: 'RadioGroup',
    componentProps: {
      options: [
        {
          label: '系统自动生成',
          value: '1',
        },
        {
          label: '用户上传',
          value: '2',
        },
      ],
    },
    defaultValue: '1',
    required: true,
  },
  {
    field: 'num',
    label: '最大预览页面',
    defaultValue: 5,
    component: 'Input',
    required: true,
  },
];
