import {BasicColumn, FormSchema} from "@/components/Table";

// 搜索栏参数
export const searchFormSchema: FormSchema[] = [
  {
    field: 'labelName',
    component: 'Input',
    componentProps: {
      placeholder: '搜索业务标签名称',
    },
    colProps: {span: 6},
  },
];

// 表头列表头
export const columns: BasicColumn[any] = [
  {
    title: '名称',
    dataIndex: 'labelName',
    width: 150,
  },
  {
    title: '描述',
    dataIndex: 'labelDescription',
    width: 150,
  },
  {
    title: '创建者',
    dataIndex: 'createBy',
    width: 150,
  },
  {
    title: '创建时间',
    dataIndex: 'createDate',
    width: 150,
  },
  {
    title: '关联资源数',
    dataIndex: 'associatedResourceNumber',
    width: 150,
  },
];

// 表单表头
export const formSchema: FormSchema[any] = [
  {
    field: 'labelName',
    label: '名称',
    component: 'Input',
    required: true,
  },
  {
    field: 'labelDescription',
    label: '描述',
    component: 'Input',
    required: false,
  },
]
