import {getAllRoleList} from '@/api/system/role/role';
import {BasicColumn, FormSchema} from '@/components/Table';
import {h} from "vue";
import {Tag} from "ant-design-vue";
import {Switch} from 'ant-design-vue';
import {useMessage} from "@/hooks/web/useMessage";
import {changeFlagApi} from "@/api/system/user/user"; // 引入开关组件
type CheckedType = boolean | string | number;

export const columns: BasicColumn[] = [
  {
    title: '资源名称',
    dataIndex: 'name',
    width: 150,
  },
  {
    title: '描述',
    dataIndex: 'describe',
    width: 150,
  },
  {
    title: '可见范围',
    dataIndex: 'visibleRange',
    width: 150,
  },
  {
    title: '资源数',
    dataIndex: 'resourceNum',
    width: 150,
  },
  {
    title: '创建时间',
    dataIndex: 'createDate',
    width: 150,
  },
  {
    title: '更新时间',
    dataIndex: 'updateDate',
    width: 150,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '姓名',
    component: 'Input',
    componentProps: {
      placeholder: '请输入姓名',
    },
    colProps: {span: 7},
  },
  // {
  //   field: 'username',
  //   label: '登录名',
  //   component: 'Input',
  //   componentProps: {
  //     placeholder: '请输入登录名',
  //   },
  //   colProps: { span: 7 },
  // },
];

export const TreeData: any[] = [
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 100,
    "institutionName": "资源编目管理",
    "anotherName": "资源编目管理",
    "parentId": 0,
    "code": "DataGovernanceDep_product1",
    "ancestors": "0",
    "orderNum": 0,
    "children": [],
    "selectType": null,
    icon: 'ion:settings-outline',
  },
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 101,
    "institutionName": "一级编目",
    "anotherName": "数据平台治理部",
    "parentId": 100,
    "code": "DataGovernanceDep_product2",
    "ancestors": "0,100",
    "orderNum": 1,
    "children": [],
    "selectType": null,
    icon: 'ion:settings-outline',
  },
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 102,
    "institutionName": "公共安全",
    "anotherName": "数据资源管理部",
    "parentId": 100,
    "code": "DataGovernanceDep_product3",
    "ancestors": "0,100",
    "orderNum": 2,
    "children": [],
    "selectType": null,
    icon: 'ion:settings-outline',
  },
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 103,
    "institutionName": "卫生健康",
    "anotherName": "数据资源管理部",
    "parentId": 100,
    "code": "DataGovernanceDep_product3",
    "ancestors": "0,100",
    "orderNum": 2,
    "children": [],
    "selectType": null,
    icon: 'ion:settings-outline',
  },
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 104,
    "institutionName": "文化休闲",
    "anotherName": "数据资源管理部",
    "parentId": 100,
    "code": "DataGovernanceDep_product3",
    "ancestors": "0,100",
    "orderNum": 2,
    "children": [],
    "selectType": null,
    icon: 'ion:settings-outline',
  },
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 105,
    "institutionName": "经济建设",
    "anotherName": "数据资源管理部",
    "parentId": 100,
    "code": "DataGovernanceDep_product3",
    "ancestors": "0,100",
    "orderNum": 2,
    "children": [],
    "selectType": null,
    icon: 'ion:settings-outline',
  },
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 106,
    "institutionName": "科技教育",
    "anotherName": "数据资源管理部",
    "parentId": 100,
    "code": "DataGovernanceDep_product3",
    "ancestors": "0,100",
    "orderNum": 2,
    "children": [],
    "selectType": null,
    icon: 'ion:settings-outline',
  },

];

export const userData: any[] = [
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 309,
    "username": "一级编目",
    "nickName": "一级编目",
    "userType": "1",
    "creator": "monkey",
    "releaser": "duck",
    "name": "一级资源",
    "project": "一级编目",
    "releaseStatus": "已发布",
    "ownerInstitution": "test1",
    "resourceNum": 3,
    "institutionId": 101,
    "createDate": "2024-10-24 10:04:04",
    "releaseDate": "2024-10-25 10:04:04",
  },
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 310,
    "username": "公共安全",
    "nickName": "公共安全",
    "userType": "1",
    "creator": "monkey",
    "releaser": "duck",
    "name": "二级资源",
    "project": "公共安全",
    "ownerInstitution": "test2",
    "releaseStatus": "已发布",
    "resourceNum": 4,
    "institutionId": 102,
    "createDate": "2024-10-24 10:04:04",
    "releaseDate": "2024-10-25 10:04:04",
  },
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 317,
    "username": "卫生健康",
    "nickName": "卫生健康",
    "userType": "1",
    "creator": "monkey",
    "releaser": "duck",
    "name": "三级资源",
    "project": "卫生健康",
    "releaseStatus": "已发布",
    "ownerInstitution": "test1",
    "resourceNum": 5,
    "institutionId": 103,
    "createDate": "2024-10-24 10:04:04",
    "releaseDate": "2024-10-25 10:04:04",
  },
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 318,
    "username": "文化休闲",
    "nickName": "文化休闲",
    "userType": "1",
    "creator": "monkey",
    "releaser": "duck",
    "name": "四级资源",
    "project": "文化休闲",
    "releaseStatus": "已发布",
    "ownerInstitution": "test3",
    "resourceNum": 6,
    "institutionId": 104,
    "createDate": "2024-10-24 10:04:04",
    "releaseDate": "2024-10-25 10:04:04",
  },
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 319,
    "username": "经济建设",
    "nickName": "经济建设",
    "userType": "1",
    "creator": "monkey",
    "releaser": "duck",
    "name": "五级资源",
    "project": "经济建设",
    "releaseStatus": "已发布",
    "ownerInstitution": "test1",
    "resourceNum": 7,
    "institutionId": 105,
    "createDate": "2024-10-24 10:04:04",
    "releaseDate": "2024-10-25 10:04:04",
  },
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 320,
    "username": "科技教育",
    "nickName": "科技教育",
    "userType": "1",
    "creator": "monkey",
    "releaser": "duck",
    "name": "特级资源",
    "project": "科技教育",
    "releaseStatus": "未发布",
    "ownerInstitution": "test4",
    "resourceNum": 8,
    "createDate": "2024-10-24 10:04:04",
    "releaseDate": "2024-10-25 10:04:04",
    "institutionId": 106,
    // "institutionName" : "研发部门",
  }
];

export const addUserData: any[] = [
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 400,
    "username": "tianjia1",
    "nickName": "添加用户1",
    "userType": "1",
    "name": "添加用户1",
    "roleName": "工作区访客",
    "createDate": "2024-10-24 10:04:04",
    "institutionId": null,
    "institutionName": "",
    "code": "123f",
    "identity": "1",
    "roleIds": null,
    "roleNames": "三级用户",
    "roleList": null,
    "menuList": []
  },
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 402,
    "username": "tianjia2",
    "nickName": "添加用户2",
    "userType": "1",
    "name": "添加用户2",
    "roleName": "工作区访客",
    "createDate": "2024-10-25 10:05:05",
    "sex": "0",
    "institutionId": null,
    "institutionName": "",
    "code": "123a",
    "identity": "1",
    "roleIds": null,
    "roleNames": null,
    "roleList": null,
    "menuList": []
  },
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 403,
    "username": "tianjia3",
    "nickName": "添加用户3",
    "userType": "1",
    "name": "添加用户3",
    "roleName": "工作区访客",
    "createDate": "2024-10-26 10:06:06",
    "sex": "1",
    "institutionId": null,
    "institutionName": "",
    "code": "123c",
    "identity": "1",
    "roleIds": null,
    "roleNames": "超级管理员",
    "roleList": null,
    "menuList": []
  },
];

export const accountFormSchema: any[] = [];
export const BasicInfoData =
  {
    creator: 'admin',
    createDate: '2024-11-29 13:41:11',
    updateFrequency: '每月',
    securityClassification: 'DATASET.SHARED.SECURITY_LEVEL_通用/G4',
    sourceDataTable: 'kundbnew/foresight_foresight1/fs_assets',
    sourceTableSize: '4 rows',
    releaseStatus: '已发布',
    releaser: 'admin',
    releaseDate: '2024-11-29 13:41:11',
    describe: '公司人力资源信息表',
  };
export const permissionsData =
  {
    permissions: '上线，共享，下载'
  }
export const ManagePropertyData =

  {
    resourceCataloging: 'test1',
    ownerInstitution: '机构管理/系统管理',
    label: '-'
  }
